# Class RunFonts

#### Hierarchy

- XmlComponent
  - RunFonts

- Defined in src/file/paragraph/run/run-fonts.ts:21

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new RunFonts(name, hint?): RunFonts

- #### Parameters

  - ##### name: string

  - ##### `Optional` hint: string

  #### Returns RunFonts

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/run/run-fonts.ts:22
- new RunFonts(attrs): RunFonts

- #### Parameters

  - ##### attrs: string | IFontAttributesProperties

  #### Returns RunFonts

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/run/run-fonts.ts:23

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc